summaryrefslogtreecommitdiff
path: root/app-doc/python-docs/python-docs-3.14.2.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-06 07:22:10 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-06 07:22:10 +0000
commit48362e99aa1ce7a2900af949d1d3711254e309ce (patch)
tree4065162eef77f2034544e7b378e358f9b01f2090 /app-doc/python-docs/python-docs-3.14.2.ebuild
parenta317347a200d353ac446f3c58ef1cde75f44032e (diff)
downloadbaldeagleos-repo-48362e99aa1ce7a2900af949d1d3711254e309ce.tar.gz
baldeagleos-repo-48362e99aa1ce7a2900af949d1d3711254e309ce.tar.xz
baldeagleos-repo-48362e99aa1ce7a2900af949d1d3711254e309ce.zip
Adding metadata
Diffstat (limited to 'app-doc/python-docs/python-docs-3.14.2.ebuild')
-rw-r--r--app-doc/python-docs/python-docs-3.14.2.ebuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/app-doc/python-docs/python-docs-3.14.2.ebuild b/app-doc/python-docs/python-docs-3.14.2.ebuild
new file mode 100644
index 000000000000..6f86fc1b3137
--- /dev/null
+++ b/app-doc/python-docs/python-docs-3.14.2.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P=python-${PV}-docs-html
+DESCRIPTION="HTML documentation for Python"
+HOMEPAGE="https://www.python.org/doc/"
+SRC_URI="https://www.python.org/ftp/python/doc/${PV}/${MY_P}.tar.bz2"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="PSF-2"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+src_install() {
+ rm -r _sources || die
+ docinto html
+ dodoc -r .
+
+ newenvd - 60python-docs-${SLOT} <<-EOF
+ PYTHONDOCS_${SLOT//./_}="${EPREFIX}/usr/share/doc/${PF}/html/library"
+ EOF
+}